package com.xty.network.model

data class ReportAvgBean(
    val dbMean: DbMean,//血压
    val hrMean: HrMean,//心率
    val respiratoryMean: RespiratoryMean,//呼吸
    val soMean: SoMean,//血氧
    val bloodsugar: Bloodsugar,//血氧
    val tempMean: TempMean, //体温
    val uricAcid:UricAcid, //尿酸
    val bloodFat:BloodFatMean //血脂
){

    data class UricAcid(val normal:Int,val high:Int,val count: Int)
    data class Bloodsugar(
        val bloodsugarNormal: Int,
        val bloodsugarHigh: Int,
        val count: Int,
        val bloodsugarLow: Int
    )
    data class DbMean(
        val count: Int,
        val first: Int,
        val hypotension: Int,
        val normal: Int,
        val three: Int,
        val two: Int
    )

    data class HrMean(
        val bradycardia: Int,
        val count: Int,
        val normal: Int,
        val tachycardia: Int
    )

    data class RespiratoryMean(
        val count: Int,
        val normal: Int,
        val oligopnea: Int,
        val tachypnea: Int
    )

    data class SoMean(
        val count: Int,
        val deficiency: Int,
        val hyoxemia: Int,
        val normal: Int
    )

    data class TempMean(
        val centre: Int,
        val count: Int,
        val low: Int,
        val normal: Int,
        val tall: Int,
        val ultrahyperpyexia: Int
    )

    data class BloodFatMean(
        val normal:Int,
        val abnormal:Int,
        val tcAbnormal:Int,
        val hdlAbnormal:Int,
        val count:Int,
        val hdlNormal:Int,
        val tcNormal:Int,
        val ldlNormal:Int,

        val ldlAbnormal:Int,
        val tgAbnormal:Int,
        val tgNormal:Int

    )
}
